Page MenuHomePhabricator

Show query run date above outputs section
Open, HighPublic

Description

Resultsets are currently static, and can only be updated by query owner. Query page viewers can't know how outdated the results are, as currently no query execution timestamp is shown in the interface.
It results to situations like T213256#4926548.
I purpose to amend "Executed in xx seconds.", above resulsets, by "Executed in xx seconds at [readable timestamp]".

See also T206482: Show query code revisions and runs history for a different and more complicated but complementary approach.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2019, 6:41 PM
Framawiki triaged this task as High priority.Feb 11 2019, 6:41 PM

Change 491284 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[analytics/quarry/web@master] view.js: Show query run date above outputs section

https://gerrit.wikimedia.org/r/491284

Change 491284 merged by jenkins-bot:
[analytics/quarry/web@master] view.js: Show query run date above outputs section

https://gerrit.wikimedia.org/r/491284

Framawiki closed this task as Resolved.Feb 18 2019, 9:15 PM

Mentioned in SAL (#wikimedia-cloud) [2019-02-18T21:48:00Z] <framawiki> Deployed 6bda39e on -web-01 T215831

Framawiki reopened this task as Open.Feb 18 2019, 10:42 PM
Framawiki removed a project: Patch-For-Review.
LucasWerkmeister added a subscriber: LucasWerkmeister.

Why is this task still open? This was implemented, wasn’t it? (I just noticed that I don’t have to add SELECT NOW() AS as of`;` to my queries anymore ☺)

There is a little planned improvement about timezones:

@zhuyifei1999> my preference is full date in utc in display, and full date in local in hover

Change 517145 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[analytics/quarry/web@master] view.js: Show full run date in UTC

https://gerrit.wikimedia.org/r/517145